%{?nodejs_find_provides_and_requires}
%global enable_tests 0
%global srcname jison
%global commit bcf986e180359aa2404b1b73ecbfef1df4c6b011
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:                nodejs-jison
Version:             0.4.18
Release:             2
Summary:             A parser generator with Bison's API
License:             MIT
URL:                 https://github.com/zaach/jison
Source0:             https://github.com/zaach/jison/archive/%{commit}/jison-%{shortcommit}.tar.gz
Patch0:		     CVE-2020-8178.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(cjson) npm(ebnf-parser) npm(escodegen) npm(esprima)
BuildRequires:       npm(jison-lex) npm(JSONSelect) npm(lex-parser) npm(nomnom)
%if 0%{?enable_tests}
BuildRequires:       npm(test)
%endif
%description
%{summary}.

%prep
%autosetup -n jison-%{commit} -p1
chmod -x lib/jison.js
rm -rf node_modules
%nodejs_fixdep cjson
%nodejs_fixdep nomnom
%nodejs_fixdep esprima
%nodejs_fixdep escodegen
sed -i '1s/env //' lib/cli.js
chmod -x examples/tikiwikiparser.jison

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jison
cp -pr package.json *.js lib/ \
    %{buildroot}%{nodejs_sitelib}/jison
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/jison/lib/cli.js \
    %{buildroot}%{_bindir}/jison
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} tests/all-tests.js
%endif

%files
%doc *.md examples/
%license README.md
%{nodejs_sitelib}/jison
%{_bindir}/jison

%changelog
* Wed Feb 23 2022 houyingchao <houyingchao@huawei.com> - 0.4.18-2
- Fix CVE-2020-8178

* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 0.4.18-1
- Package init
